org.apache.ode.bpel.pmapi

## Interface TCorrelationProperty

- All Superinterfaces:
    org.apache.xmlbeans.XmlAnySimpleType, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlString, org.apache.xmlbeans.XmlTokenSource
  All Known Implementing Classes:
    TCorrelationPropertyImpl

      public interface TCorrelationProperty
      extends org.apache.xmlbeans.XmlString

  An XML tCorrelationProperty(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is an atomic type that is a restriction of org.apache.ode.bpel.pmapi.TCorrelationProperty.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `TCorrelationProperty.Factory` A factory class with static methods for creating instances of this type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.xmlbeans.SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCsetid()` Gets the "csetid" attribute
    `javax.xml.namespace.QName` | `getPropertyName()` Gets the "propertyName" attribute
    `void` | `setCsetid(java.lang.String csetid)` Sets the "csetid" attribute
    `void` | `setPropertyName(javax.xml.namespace.QName propertyName)` Sets the "propertyName" attribute
    `org.apache.xmlbeans.XmlString` | `xgetCsetid()` Gets (as xml) the "csetid" attribute
    `org.apache.xmlbeans.XmlQName` | `xgetPropertyName()` Gets (as xml) the "propertyName" attribute
    `void` | `xsetCsetid(org.apache.xmlbeans.XmlString csetid)` Sets (as xml) the "csetid" attribute
    `void` | `xsetPropertyName(org.apache.xmlbeans.XmlQName propertyName)` Sets (as xml) the "propertyName" attribute

    - ### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

      `getStringValue, set, setStringValue, stringValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### type

          static final org.apache.xmlbeans.SchemaType type

  - ### Method Detail

    - #### getCsetid

          java.lang.String getCsetid()

      Gets the "csetid" attribute

    - #### xgetCsetid

          org.apache.xmlbeans.XmlString xgetCsetid()

      Gets (as xml) the "csetid" attribute

    - #### setCsetid

          void setCsetid(java.lang.String csetid)

      Sets the "csetid" attribute

    - #### xsetCsetid

          void xsetCsetid(org.apache.xmlbeans.XmlString csetid)

      Sets (as xml) the "csetid" attribute

    - #### getPropertyName

          javax.xml.namespace.QName getPropertyName()

      Gets the "propertyName" attribute

    - #### xgetPropertyName

          org.apache.xmlbeans.XmlQName xgetPropertyName()

      Gets (as xml) the "propertyName" attribute

    - #### setPropertyName

          void setPropertyName(javax.xml.namespace.QName propertyName)

      Sets the "propertyName" attribute

    - #### xsetPropertyName

          void xsetPropertyName(org.apache.xmlbeans.XmlQName propertyName)

      Sets (as xml) the "propertyName" attribute